Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core Implementation 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.application
Class ServicesFactoryImpl

    java.lang.Object
      org.richfaces.application.ServicesFactoryImpl

All Implemented Interfaces:
  org.richfaces.application.ServicesFactory

    public class ServicesFactoryImpl

extends Object
implements org.richfaces.application.ServicesFactory

Constructor Summary
`ServicesFactoryImpl()`

Method Summary
`
`<T> T`
` | `getInstance(Class<T> type)`
`void` | `init(Iterable<org.richfaces.application.Module> modules)`
`void` | `release()`
`
`<T> void`
` | `setInstance(Class<T> type, T instance)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServicesFactoryImpl

    public ServicesFactoryImpl()

Method Detail

### getInstance

    public <T> T getInstance(Class<T> type)
                  throws org.richfaces.application.ServiceException

  Specified by:
    `getInstance` in interface `org.richfaces.application.ServicesFactory`
  Throws:
    `org.richfaces.application.ServiceException`

### release

    public void release()

  Specified by:
    `release` in interface `org.richfaces.application.ServicesFactory`

### init

    public void init(Iterable<org.richfaces.application.Module> modules)

### setInstance

    public <T> void setInstance(Class<T> type,
                                T instance)

  Specified by:
    `setInstance` in interface `org.richfaces.application.ServicesFactory`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core Implementation 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.